Subject: Re: bug#67449: Manual: add how to change default global font size in .emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Dec 2023 09:42:25 +0200

> Date: Sat, 02 Dec 2023 11:16:14 +0800
> From: Dan Jacobson <[email-masked]>
> Cc: Kévin Le Gouguec <[email-masked]>,
>  [email-masked]
> 
> So the default size "10" must be buried in the C source code, and if
> the user wants to change *it* they must recompile emacs.
> Too bad.

It isn't too bad, since the default size can be customized, as
explained by that section of the manual.

> $ emacs -Q -eval "(set-face-attribute 'default nil :height (* 18 6))"
> tests great! (Except I found I needed to multiply any value I wanted by
> six, in order to get that value. At least on a Chromebook.)

The section "Frame Parameters" explains how to do this for the init
file.  (The section "Fonts", which started this discussion, has a
hyper-link to "Frame Parameters".)